package com.yizhi.live.application.controller;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.live.application.domain.ScopeAuthorization;
import com.yizhi.live.application.service.IScopeAuthorizationService;
import com.yizhi.live.application.vo.VisibleRangeExport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/manage/live/scope")
public class ScopeAuthorizationController {

    @Autowired
    IScopeAuthorizationService scopeAuthorizationService;

    @GetMapping("/message/getList")
    public VisibleRangeExport getListToMessage(@RequestParam("liveId") Long liveId) {


        VisibleRangeExport vo = new VisibleRangeExport();

        ScopeAuthorization range = new ScopeAuthorization();
        range.setLiveId(liveId);

        List<ScopeAuthorization> list = scopeAuthorizationService.selectList(new EntityWrapper<>(range));

        if (!CollectionUtils.isEmpty(list)) {
            List<Long> orgIds = new ArrayList<>(list.size());
            List<Long> accountIds = new ArrayList<>(list.size());

            for (ScopeAuthorization a : list) {
                if (a.getType() == 1) {
                    orgIds.add(a.getAccountId());
                } else {
                    accountIds.add(a.getAccountId());
                }
            }
            vo.setAccountIds(accountIds);
            vo.setOrgIds(orgIds);
        }
        return vo;
    }
}



